---
title: BaseAudioContext.destination
slug: Web/API/BaseAudioContext/destination
tags:
  - API
  - AudioContext
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - destination
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>destination</code> property of the {{ domxref("BaseAudioContext") }} interface returns an {{ domxref("AudioDestinationNode") }} representing the final destination of all audio in the context. It often represents an actual audio-rendering device such as your device's speakers.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">baseAudioContext.destination;
</pre>

<h3 id="Value">Value</h3>

<p>An {{ domxref("AudioDestinationNode") }}.</p>

<h2 id="Example">Example</h2>

<div class="note">
<p><strong>Note</strong>: for a full example implementation, see one of our Web Audio Demos on the <a href="https://github.com/mdn/">MDN Github repo</a>, like <a href="https://github.com/mdn/voice-change-o-matic">voice-change-o-matic</a>.</p>
</div>

<pre class="brush: js;highlight[8]">var AudioContext = window.AudioContext || window.webkitAudioContext;
var audioCtx = new AudioContext();
// Older webkit/blink browsers require a prefix

var oscillatorNode = audioCtx.createOscillator();
var gainNode = audioCtx.createGain();

oscillatorNode.connect(gainNode);
gainNode.connect(audioCtx.destination);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-destination', 'destination')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.destination")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
